Pertanyaan Apa paket pengembangan untuk Qt5 di 14.04


Saya ingin membuat contoh Qt5 di komputer desktop saya. Saya sudah menginstal qt5-default dan qtdeclarative5-dev, tapi saya masih mendapatkan kesalahan ini:

Project ERROR: Unknown module(s) in QT: quick qml

Paket mana yang harus diinstal untuk dikompilasi? Di Qt4 kali itu sederhana libqt4-dev


62
2017-08-08 08:06


asal




Jawaban:


Anda perlu menginstal

qtdeclarative5-dev

56
2017-08-08 08:20



Ini sudah terinstal, versi 5.2.1-8build1 - marmistrz
bagaimana dengan qtdeclarative5-dev? - AlexGreg
Sudah pasti qtdeclarative5-dev. Bisakah Anda mengedit badan jawaban dan menambahkannya, please? - int_ua


Daftar semua paket pengembangan Qt5, tersedia di Ubuntu.

Paket Qt dev paket lib paket
-------------------------------------------------- -----------------------
bluetooth qtconnectivity5-dev libqt5bluetooth5
qtbase5-dev libqt5concurrent5 bersamaan
konektivitas qtmobility-dev libqtconnectivity1
kontak qtmobility-dev libqt5contacts5
inti qtbase5-dev libqt5core5a
dbus qtbase5-dev libqt5dbus5
desainer qttools5-dev libqt5designer5
designercomponents qttools5-dev libqt5designercomponents5
umpan balik qtmobility-dev libqt5feedback5
galeri qtmobility-dev libqtgallery1
gui qtbase5-dev libqt5gui5
membantu qttools5-dev libqt5help5
lokasi qtmobility-dev libqt5location5
multimedia qtmultimedia5-dev libqt5multimedia5
multimediakit qtmobility-dev libqtmultimediakit1
jaringan qtbase5-dev libqt5network5
nfc qtconnectivity5-dev libqt5nfc5
opengl libqt5opengl5-dev libqt5opengl5
penyelenggara qtmobility-dev libqt5organizer5
memposisikan qtpositioning5-dev libqt5positioning5
printsupport qtbase5-dev libqt5printsupport5
publishsubscribe qtmobility-dev libqt5publishsubscribe5
qml qtdeclarative5-dev libqt5qml5
cepat qtdeclarative5-dev libqt5quick5
quickparticles qtdeclarative5-dev libqt5quickparticles5
quicktest qtdeclarative5-dev libqt5quicktest5
quickwidgets qtdeclarative5-dev libqt5quickwidgets5
skrip qtscript5-dev libqt5script5
scripttools qtscript5-dev libqt5scripttools5
sensor qtmobility-dev, libqt5sensors5-dev libqt5sensors5
serialport libqt5serialport5-dev libqt5serialport5
serviceframework qtmobility-dev libqt5serviceframework5
sql qtbase5-dev libqt5sql5
svg libqt5svg5-dev libqt5svg5
systeminfo qtmobility-dev libqt5systeminfo5
uji qtbase5-dev libqt5test5
uitools qttools5-dev?
versty qtmobility-dev libqtversit1
saluran web? ?
webkit libqt5webkit5-dev libqt5webkit5
websockets libqt5websockets5-dev libqt5websockets5
widget qtbase5-dev libqt5widgets5
x11extras libqt5x11extras5-dev libqt5x11extras5
xml qtbase5-dev libqt5xml5
xmlpatterns libqt5xmlpatterns5-dev libqt5xmlpatterns5


59
2018-01-24 15:03



Ini sangat membantu untuk mengetahui apa yang harus diinstal ketika sebuah cmake membangun memberikan sesuatu seperti /usr/bin/ld: cannot find -lQt5::Help. Mode kegagalan semacam itu tampaknya khas untuk cmake. - Peter Cordes
Ini sangat berguna! - Atifm
Apakah ada cara mudah untuk menginstal semua paket * -dev ini sekaligus? - Anonymous
Anda dapat mencoba sesuatu seperti apt-get install qt5*-dev - Hyndrix
Sebuah saran. Coba dan hindari penggunaan * dengan perintah kepantasan apa pun! Teman saya harus me-restart komputernya karena apt remove wine* menghapus semua paket yang berisi substring win di dalamnya. Sangat berhati-hati dengan ini. - Harsh Poddar


Jawaban atas judulnya adalah:

sudo apt-get install qtbase5-dev

Untuk masalah spesifik Anda, jawaban di atas memang benar.


37
2017-11-20 01:04





sudo apt-get install qtdeclarative5-dev qml-module-qtquick-controls

Validasi instalasi, melalui ::

qtchooser -print-env

Output mungkin menyerupai sebagai berikut (berdasarkan paket yang tersedia untuk versi Ubuntu Anda):

QT_SELECT="default"
QTTOOLDIR="/usr/lib/x86_64-linux-gnu/qt5/bin"
QTLIBDIR="/usr/lib/x86_64-linux-gnu"

Referensi sini.


0
2018-06-27 10:30